using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using FiltronASP.Models.Validators;

namespace FiltronASP.Models
{
    /// <summary>
    /// Fragment klasy odpowiadajacy tabeli <code>PageTypes</code>.
    /// </summary>
    [MetadataType(typeof(PageTypeValidation))]
    public partial class PageType
    {
    }

    /// <summary>
    /// Klasa z walidacja dla niektorych danych klasy <code>PageType</code>.
    /// </summary>
    public class PageTypeValidation
    {

        [HiddenInput(DisplayValue = false)]
        public int page_type_id { get; set; }

        [Required(ErrorMessage = "Nazwa grupy stron jest wymagana.")]
        [StringLength(80, ErrorMessage = "Nazwa grupy stron nie powinna być dłuższa niż 80 znaków.")]
        [AlpaNumeric(ErrorMessage = "Nazwa grupy stron nie powinna zawierać znaków specjalnych.")]
        public string page_type_name { get; set; }

        [Required(ErrorMessage = "Informacja na temat wersji językowej grupy stron jest wymagana.")]
        public Nullable<int> language_id { get; set; }

    }
}
